#ifndef PROTOCOL_H
#define PROTOCOL_H

#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include "stdio.h"

#define FLAG_NUMBER 0
#define FLAG_WORD 1

struct message{
    float numbers[3];
    size_t len_numbers;
    char* str;
    size_t len_str;
};

union convert_float{
    float fVal;
    uint8_t buf[4];
};

union convert_char{
    char* cVal;
    uint8_t buf[64];
};

void protocol_decode(uint8_t encode_message[], size_t len_encode_message, struct message* decode_message);
void protocol_encode(struct message message, uint8_t encode_message[], size_t* len_encode_message);

#endif //PROTOCOL_H
